Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002719Piwigousers & groupspublic2012.08.07 13:202012.11.14 19:32
Reporterloloboss 
Assigned Toflop25 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntu serverOS Version11.04
Product Version2.4.3 
Target VersionFixed in Version2.4.4 
Summary0002719: Group permissions don't apply on sub-categories
Descriptionthe checkbox "apply to sub-folders" on a category works for the access-type (private) and ths user-list, but no for group-list.
TagsNo tags attached.
browserMozilla
Database engine and versionMySQL 5.1.49
PHP version5.3.5
Web serverApache 2.2.17
Attached Files

- Relationships

-  Notes
(0006548)
rvelices (developer)
2012.08.07 16:43

I confirm that only changes to the current albums are applied to children
(ie. if current album has group "x" it will not be applied to children)
(0006561)
flop25 (developer)
2012.08.14 20:10

yes the new management page induced that : visually apply changes and apply already defined permissions are the same, whereas it's not the same in the code
(0006562)
svn (reporter)
2012.08.14 20:53

[Subversion] r17561 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2719
no need to array diff : the system check after to not reinsert existing lines
(0006617)
svn (reporter)
2012.09.11 13:48

[Subversion] r17857 by flop25 on branch 2.4

-----[Subversion commit log]----------------------------------------------------
merge r17561
bug:2719
no need to array diff : the system check after to not reinsert existing lines

- Issue History
Date Modified Username Field Change
2012.08.07 13:20 loloboss New Issue
2012.08.07 13:20 loloboss browser => Mozilla
2012.08.07 13:20 loloboss Database engine and version => MySQL 5.1.49
2012.08.07 13:20 loloboss PHP version => 5.3.5
2012.08.07 13:20 loloboss Web server => Apache 2.2.17
2012.08.07 16:43 rvelices Note Added: 0006548
2012.08.14 20:10 flop25 Note Added: 0006561
2012.08.14 20:10 flop25 Status new => assigned
2012.08.14 20:10 flop25 Assigned To => flop25
2012.08.14 20:53 svn Checkin
2012.08.14 20:53 svn Note Added: 0006562
2012.09.11 13:48 svn Checkin
2012.09.11 13:48 svn Note Added: 0006617
2012.11.14 19:32 flop25 Status assigned => closed
2012.11.14 19:32 flop25 Resolution open => fixed
2012.11.14 19:32 flop25 Fixed in Version => 2.4.4


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker